# TSDefaultComputeJacobianColor

Computes the Jacobian using finite differences and coloring to exploit matrix sparsity.

### Synopsis

    #include "petscmat.h"
    #include "petscts.h"
    PetscErrorCode PETSCTS_DLLEXPORT TSDefaultComputeJacobianColor(TS ts,PetscReal t,Vec x1,Mat *J,Mat *B,MatStructure *flag,void *ctx)

Collective on TS, Vec and Mat

### Input Parameters

| ts | - nonlinear solver object
| t | - current time
| x1 | - location at which to evaluate Jacobian
| ctx | - coloring context, where ctx must have type MatFDColoring, as created via MatFDColoringCreate()

### Output Parameters

| J | - Jacobian matrix (not altered in this routine)
| B | - newly computed Jacobian matrix to use with preconditioner (generally the same as J)
| flag | - flag indicating whether the matrix sparsity structure has changed

### Options Database Keys

     -mat_fd_coloring_freq <freq>

### Keywords

TS, finite differences, Jacobian, coloring, sparse

### See Also

TSSetJacobian(), MatFDColoringCreate(), MatFDColoringSetFunction()

Level:intermediate
Location: src/ts/interface/tsfd.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ts/examples/tutorials/ex7.c.html